From: "Maciej Barć" <xgqt@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-emacs/clojure-mode/
Date: Fri, 22 Jul 2022 02:26:42 +0000 (UTC) [thread overview]
Message-ID: <1658453150.745076ca836512c0a22474681e7db51832979ea4.xgqt@gentoo> (raw)
commit: 745076ca836512c0a22474681e7db51832979ea4
Author: Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Fri Jul 22 01:25:50 2022 +0000
Commit: Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Fri Jul 22 01:25:50 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=745076ca
app-emacs/clojure-mode: bump to 5.15.0
Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>
app-emacs/clojure-mode/Manifest | 1 +
app-emacs/clojure-mode/clojure-mode-5.15.0.ebuild | 34 +++++++++++++++++++++++
2 files changed, 35 insertions(+)
diff --git a/app-emacs/clojure-mode/Manifest b/app-emacs/clojure-mode/Manifest
index f37d215183fb..314ddca39b6d 100644
--- a/app-emacs/clojure-mode/Manifest
+++ b/app-emacs/clojure-mode/Manifest
@@ -1 +1,2 @@
DIST clojure-mode-5.14.0.tar.gz 23405449 BLAKE2B f30215834fd4f9599df93f13d94dc9ff7ee8ed55f4e1d3baca373f5665a9ef148af3e918b0db88e604e435b8f4cf4fc4447881ef2d51ee7de88e0a89c76609ae SHA512 4226d23ae2f1337edaef8203b7620f45ebb25f8e6921bd7076aee36916c1c4028add473aa5894d1d8db7a8dd03d5aa037bad05a8e90380d05583a137bef105d6
+DIST clojure-mode-5.15.0.tar.gz 23405863 BLAKE2B 33a1ca087525c47c59a49995ef11486816d9b2f9714f071aa43063167f09c9f9e8cf6b899ea5a13feeb36ee8a7da1f98bfe2c15dba6bc7a058308586e4dbe8c9 SHA512 a1e9902c62b36534c49fd4ea99d419a59a9f28f9d8074ed49b3baf7f4d304c25323a21cc5c2e6da5b25d984ff43b4c0b255522c606411929f7d6d5b2626f7278
diff --git a/app-emacs/clojure-mode/clojure-mode-5.15.0.ebuild b/app-emacs/clojure-mode/clojure-mode-5.15.0.ebuild
new file mode 100644
index 000000000000..7072042976c3
--- /dev/null
+++ b/app-emacs/clojure-mode/clojure-mode-5.15.0.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+NEED_EMACS=25.1
+
+inherit elisp
+
+DESCRIPTION="Major mode for Clojure code"
+HOMEPAGE="https://github.com/clojure-emacs/clojure-mode/"
+SRC_URI="https://github.com/clojure-emacs/${PN}/archive/v${PV}.tar.gz
+ -> ${P}.tar.gz"
+
+LICENSE="GPL-3+"
+KEYWORDS="~amd64 ~x86"
+SLOT="0"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+ test? (
+ app-emacs/s
+ app-emacs/buttercup
+ app-emacs/paredit
+ )
+"
+
+DOCS=( README.md doc )
+SITEFILE="50${PN}-gentoo.el"
+
+src_test() {
+ buttercup -L . -L test --traceback full || die
+}
next reply other threads:[~2022-07-22 2:26 UTC|newest]
Thread overview: 25+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-07-22 2:26 Maciej Barć [this message]
-- strict thread matches above, loose matches on Subject: below --
2022-08-03 23:24 [gentoo-commits] repo/gentoo:master commit in: app-emacs/clojure-mode/ Maciej Barć
2022-12-16 9:47 Maciej Barć
2022-12-16 9:47 Maciej Barć
2023-04-02 1:45 Sam James
2023-06-26 17:42 Maciej Barć
2023-06-26 17:42 Maciej Barć
2023-06-26 17:42 Maciej Barć
2023-07-27 13:00 Sam James
2023-08-23 22:14 Maciej Barć
2023-09-13 18:31 Maciej Barć
2023-10-01 18:07 Arthur Zamarin
2023-10-14 9:56 Maciej Barć
2023-10-14 9:56 Maciej Barć
2023-10-19 21:34 Maciej Barć
2023-10-19 21:34 Maciej Barć
2023-10-19 21:34 Maciej Barć
2023-10-19 21:34 Maciej Barć
2023-11-25 23:09 Sam James
2023-11-26 0:04 Maciej Barć
2023-11-26 2:56 Maciej Barć
2024-01-06 9:02 Sam James
2024-03-05 23:07 Maciej Barć
2024-05-27 21:03 Maciej Barć
2024-07-09 2:56 Sam James
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1658453150.745076ca836512c0a22474681e7db51832979ea4.xgqt@gentoo \
--to=xgqt@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox